{
  "anvil_cost": 1,
  "description": {
    "translate": "enchantment.minecraft.protection"
  },
  "effects": {
    "minecraft:damage_protection": [
      {
        "effect": {
          "type": "minecraft:add",
          "value": {
            "type": "minecraft:linear",
            "base": 0.9,
            "per_level_above_first": 0.9
          }
        },
        "requirements": {
          "condition": "minecraft:damage_source_properties",
          "predicate": {
            "tags": [
              {
                "expected": false,
                "id": "minecraft:bypasses_invulnerability"
              },
              {
                "id": "minecraft:is_fire",
                "expected": false
              },
              {
                "id": "minecraft:is_fall",
                "expected": false
              },
              {
                "id": "minecraft:is_freezing",
                "expected": false
              }
            ]
          }
        }
      }
    ]
  },
  "exclusive_set": "#minecraft:exclusive_set/armor",
  "max_cost": {
    "base": 12,
    "per_level_above_first": 11
  },
  "max_level": 5,
  "min_cost": {
    "base": 1,
    "per_level_above_first": 11
  },
  "slots": [
    "armor"
  ],
  "supported_items": "#minecraft:enchantable/armor",
  "weight": 10
}